Bug 757290 - Review Request: unicode-ucd - Unicode Character Database
Review Request: unicode-ucd - Unicode Character Database
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 642547 (view as bug list)
Depends On:
Blocks: 748522
  Show dependency treegraph
 
Reported: 2011-11-26 02:04 EST by Jens Petersen
Modified: 2012-08-01 08:10 EDT (History)
7 users (show)

See Also:
Fixed In Version: unicode-ucd-6.0.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-12 16:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-11-26 02:04:52 EST
Spec URL: http://petersen.fedorapeople.org/reviews/unicode-ucd/unicode-ucd.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/unicode-ucd/unicode-ucd-6.0.0-1.fc16.src.rpm
Description: 
The Unicode Character Database (UCD) consists of a number of data files listing
Unicode character properties and related data. It also includes data files
containing test data for conformance to several important Unicode algorithms.
Comment 1 Jens Petersen 2011-11-26 02:19:12 EST
*** Bug 642547 has been marked as a duplicate of this bug. ***
Comment 2 Parag AN(पराग) 2011-11-27 22:31:15 EST
Review:

+ koji scratch(f16) build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3545268

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ source verified with upstream as (sha1sum)
d83d2bb7c4d34221cd9eaf53bfa730391ca9d135  UCD.zip
d83d2bb7c4d34221cd9eaf53bfa730391ca9d135  ../SOURCES/UCD.zip

+ follows packaging guidelines.


Suggestions:
1) I see duplication of copyright.html file at places
/usr/share/unicode/ucd/copyright.html
and
/usr/share/doc/unicode-ucd-6.0.0/copyright.html

I think you need to manually remove that file in %install.

2) unzip is already in minimal build environment so no need to BR: it in spec.

APPROVED.
Comment 3 Jens Petersen 2011-11-28 02:58:49 EST
Thanks for the timely review. :-)

Thanks for the suggestions will fix those after importing.
Comment 4 Jens Petersen 2011-11-28 03:00:33 EST
New Package SCM Request
=======================
Package Name: unicode-ucd
Short Description: Unicode Character Database
Owners: petersen
Branches: f16 f15 el6
InitialCC: i18n-team
Comment 5 Jon Ciesla 2011-11-28 08:11:47 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-11-29 02:51:33 EST
unicode-ucd-6.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/unicode-ucd-6.0.0-2.fc15
Comment 7 Fedora Update System 2011-11-29 02:51:41 EST
unicode-ucd-6.0.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/unicode-ucd-6.0.0-2.el6
Comment 8 Fedora Update System 2011-11-29 02:51:49 EST
unicode-ucd-6.0.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/unicode-ucd-6.0.0-2.fc16
Comment 9 Fedora Update System 2011-11-29 14:03:36 EST
Package unicode-ucd-6.0.0-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing unicode-ucd-6.0.0-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5112/unicode-ucd-6.0.0-2.el6
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2011-12-12 16:53:04 EST
unicode-ucd-6.0.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-12-12 17:08:00 EST
unicode-ucd-6.0.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-12-16 12:41:25 EST
unicode-ucd-6.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Jon Ciesla 2012-07-31 10:07:12 EDT
I need an EL-5 branch to support the recently updated Moodle.  I can request it, and I can also own it if none of the current unicode-ucd maintainers are interested.  It's not in RHEL5.  Let me know, if I don't hear back soon I'll request it with myself as an owner.  Thanks!
Comment 14 Jens Petersen 2012-08-01 02:51:31 EDT
Here you go. - I will be away from tomorrow though
so feel free to import it and build it yourself.


Package Change Request
======================
Package Name: unicode-ucd
New Branches: el5
Owners: petersen
InitialCC: haskell sig
Comment 15 Jens Petersen 2012-08-01 02:52:17 EDT
oops typo!


Package Change Request
======================
Package Name: unicode-ucd
New Branches: el5
Owners: petersen
InitialCC: i18n-team
Comment 16 Jon Ciesla 2012-08-01 08:10:51 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.